=== src/bzfs/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# src/bzfs/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/bzflag
pkglibdir = $(libdir)/bzflag
pkgincludedir = $(includedir)/bzflag
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run tar
AUTOCONF = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run autoconf
AUTOHEADER = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run autoheader
AUTOMAKE = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run automake-1.7
AWK = mawk
BEOS_FALSE = 
BEOS_TRUE = #
BUILD_REGEX_FALSE = #
BUILD_REGEX_TRUE = 
BZADMIN_INCLUDED_FALSE = #
BZADMIN_INCLUDED_TRUE = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -ansi -fno-exceptions -O2
CLIENT_INCLUDED_FALSE = #
CLIENT_INCLUDED_TRUE = 
CONFIG = 
CPP = gcc -E
CPPFLAGS =  -D_BSD_SOURCE -D_POSIX_SOURCE -I$(top_srcdir)/include -Wall -W -mcpu=i686
CURSES_LIB = -lncurses
CXX = ccache g++
CXXCPP = ccache g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -O2 -ffast-math -fomit-frame-pointer -fexpensive-optimizations -fno-exceptions
CYGPATH_W = echo
DEBUG_FALSE = 
DEBUG_TRUE = #
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GLIBS = -lGLU -lGL -lXi -lXxf86vm -lXext  -lSM -lICE -lX11  
HASPOD2MAN = yes
HASPOD2MAN_FALSE = #
HASPOD2MAN_TRUE = 
HAVE_CURSES_FALSE = #
HAVE_CURSES_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_DATA_DIR = /usr/local/share/bzflag
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
IRIX_FALSE = 
IRIX_TRUE = #
LDFLAGS =   -L/usr/X11R6/lib
LIBDIR = $(top_srcdir)/lib
LIBOBJS = 
LIBS = -ladns -lm 
LINUX_FALSE = #
LINUX_TRUE = 
LN_S = ln -s
LTLIBOBJS = 
MACOS_FALSE = 
MACOS_TRUE = #
MAKEINFO = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run makeinfo
OBJEXT = o
PACKAGE = bzflag
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PC_FALSE = #
PC_TRUE = 
PPC_FALSE = 
PPC_TRUE = #
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
SOLARIS_FALSE = 
SOLARIS_TRUE = #
STRIP = 
VERSION = 1.10.6.20040516
WIN32_FALSE = 
WIN32_TRUE = #
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/timr/work/bzflag/bzflag-1.10.6.20040516/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
bin_PROGRAMS = bzfs

MAINTAINERCLEANFILES = \
	Makefile.in


bzfs_SOURCES = \
	AccessControlList.cxx \
	AccessControlList.h \
	CmdLineOptions.cxx \
	CmdLineOptions.h \
	CustomBase.cxx \
	CustomBase.h \
	CustomBox.cxx \
	CustomBox.h \
	CustomGate.cxx \
	CustomGate.h \
	CustomLink.cxx \
	CustomLink.h \
	CustomPyramid.cxx \
	CustomPyramid.h \
	CustomWeapon.cxx \
	CustomWeapon.h \
	CustomWorld.cxx \
	CustomWorld.h \
	FlagInfo.cxx \
	FlagInfo.h \
	PackVars.h \
	Permissions.cxx \
	Permissions.h \
	PlayerInfo.h \
	TeamBases.cxx \
	TeamBases.h \
	TextChunkManager.cxx \
	TextChunkManager.h \
	VotingArbiter.cxx \
	VotingArbiter.h \
	WorldFileObject.cxx \
	WorldFileObject.h \
	WorldFileObstacle.cxx \
	WorldFileObstacle.h \
	WorldInfo.cxx \
	WorldInfo.h \
	WorldWeapons.cxx \
	WorldWeapons.h \
	commands.cxx \
	commands.h \
	bzfs.cxx \
	bzfs.h


REGEX = \
        ../regex/libregex.a


LDADD = \
	../net/libNet.a		\
	../common/libCommon.a	\
	$(REGEX)


bzfs_LDFLAGS = ../date/buildDate.o
subdir = src/bzfs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = bzfs$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_bzfs_OBJECTS = AccessControlList.$(OBJEXT) CmdLineOptions.$(OBJEXT) \
	CustomBase.$(OBJEXT) CustomBox.$(OBJEXT) CustomGate.$(OBJEXT) \
	CustomLink.$(OBJEXT) CustomPyramid.$(OBJEXT) \
	CustomWeapon.$(OBJEXT) CustomWorld.$(OBJEXT) FlagInfo.$(OBJEXT) \
	Permissions.$(OBJEXT) TeamBases.$(OBJEXT) \
	TextChunkManager.$(OBJEXT) VotingArbiter.$(OBJEXT) \
	WorldFileObject.$(OBJEXT) WorldFileObstacle.$(OBJEXT) \
	WorldInfo.$(OBJEXT) WorldWeapons.$(OBJEXT) commands.$(OBJEXT) \
	bzfs.$(OBJEXT)
bzfs_OBJECTS = $(am_bzfs_OBJECTS)
bzfs_LDADD = $(LDADD)
bzfs_DEPENDENCIES = ../net/libNet.a \
	../common/libCommon.a ../regex/libregex.a
#bzfs_DEPENDENCIES = ../net/libNet.a \
#	../common/libCommon.a

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/AccessControlList.Po \
	./$(DEPDIR)/CmdLineOptions.Po \
	./$(DEPDIR)/CustomBase.Po ./$(DEPDIR)/CustomBox.Po \
	./$(DEPDIR)/CustomGate.Po ./$(DEPDIR)/CustomLink.Po \
	./$(DEPDIR)/CustomPyramid.Po \
	./$(DEPDIR)/CustomWeapon.Po \
	./$(DEPDIR)/CustomWorld.Po ./$(DEPDIR)/FlagInfo.Po \
	./$(DEPDIR)/Permissions.Po ./$(DEPDIR)/TeamBases.Po \
	./$(DEPDIR)/TextChunkManager.Po \
	./$(DEPDIR)/VotingArbiter.Po \
	./$(DEPDIR)/WorldFileObject.Po \
	./$(DEPDIR)/WorldFileObstacle.Po \
	./$(DEPDIR)/WorldInfo.Po \
	./$(DEPDIR)/WorldWeapons.Po ./$(DEPDIR)/bzfs.Po \
	./$(DEPDIR)/commands.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(bzfs_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(bzfs_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cxx .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/bzfs/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
bzfs$(EXEEXT): $(bzfs_OBJECTS) $(bzfs_DEPENDENCIES) 
	@rm -f bzfs$(EXEEXT)
	$(CXXLINK) $(bzfs_LDFLAGS) $(bzfs_OBJECTS) $(bzfs_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/AccessControlList.Po
include ./$(DEPDIR)/CmdLineOptions.Po
include ./$(DEPDIR)/CustomBase.Po
include ./$(DEPDIR)/CustomBox.Po
include ./$(DEPDIR)/CustomGate.Po
include ./$(DEPDIR)/CustomLink.Po
include ./$(DEPDIR)/CustomPyramid.Po
include ./$(DEPDIR)/CustomWeapon.Po
include ./$(DEPDIR)/CustomWorld.Po
include ./$(DEPDIR)/FlagInfo.Po
include ./$(DEPDIR)/Permissions.Po
include ./$(DEPDIR)/TeamBases.Po
include ./$(DEPDIR)/TextChunkManager.Po
include ./$(DEPDIR)/VotingArbiter.Po
include ./$(DEPDIR)/WorldFileObject.Po
include ./$(DEPDIR)/WorldFileObstacle.Po
include ./$(DEPDIR)/WorldInfo.Po
include ./$(DEPDIR)/WorldWeapons.Po
include ./$(DEPDIR)/bzfs.Po
include ./$(DEPDIR)/commands.Po

.cxx.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cxx.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
