=== src/common/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# src/common/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/bzflag
pkglibdir = $(libdir)/bzflag
pkgincludedir = $(includedir)/bzflag
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run tar
AUTOCONF = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run autoconf
AUTOHEADER = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run autoheader
AUTOMAKE = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run automake-1.7
AWK = mawk
BEOS_FALSE = 
BEOS_TRUE = #
BUILD_REGEX_FALSE = #
BUILD_REGEX_TRUE = 
BZADMIN_INCLUDED_FALSE = #
BZADMIN_INCLUDED_TRUE = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -ansi -fno-exceptions -O2
CLIENT_INCLUDED_FALSE = #
CLIENT_INCLUDED_TRUE = 
CONFIG = 
CPP = gcc -E
CPPFLAGS =  -D_BSD_SOURCE -D_POSIX_SOURCE -I$(top_srcdir)/include -Wall -W -mcpu=i686
CURSES_LIB = -lncurses
CXX = ccache g++
CXXCPP = ccache g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -O2 -ffast-math -fomit-frame-pointer -fexpensive-optimizations -fno-exceptions
CYGPATH_W = echo
DEBUG_FALSE = 
DEBUG_TRUE = #
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GLIBS = -lGLU -lGL -lXi -lXxf86vm -lXext  -lSM -lICE -lX11  
HASPOD2MAN = yes
HASPOD2MAN_FALSE = #
HASPOD2MAN_TRUE = 
HAVE_CURSES_FALSE = #
HAVE_CURSES_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_DATA_DIR = /usr/local/share/bzflag
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
IRIX_FALSE = 
IRIX_TRUE = #
LDFLAGS =   -L/usr/X11R6/lib
LIBDIR = $(top_srcdir)/lib
LIBOBJS = 
LIBS = -ladns -lm 
LINUX_FALSE = #
LINUX_TRUE = 
LN_S = ln -s
LTLIBOBJS = 
MACOS_FALSE = 
MACOS_TRUE = #
MAKEINFO = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run makeinfo
OBJEXT = o
PACKAGE = bzflag
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PC_FALSE = #
PC_TRUE = 
PPC_FALSE = 
PPC_TRUE = #
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
SOLARIS_FALSE = 
SOLARIS_TRUE = #
STRIP = 
VERSION = 1.10.6.20040516
WIN32_FALSE = 
WIN32_TRUE = #
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/timr/work/bzflag/bzflag-1.10.6.20040516/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
noinst_LIBRARIES = libCommon.a

libCommon_a_SOURCES = \
	BZDBCache.cxx			\
	Bundle.cxx			\
	BundleMgr.cxx			\
	CommandManager.cxx		\
	ConfigFileManager.cxx		\
	ErrorHandler.cxx		\
	FileManager.cxx			\
	Flag.cxx			\
	KeyManager.cxx			\
	PlayerState.cxx			\
	ShotUpdate.cxx			\
	StateDatabase.cxx		\
	Team.cxx			\
	TimeBomb.cxx			\
	TimeKeeper.cxx			\
	VotingBooth.cxx			\
	WordFilter.cxx			\
	bzfio.cxx			\
	bzsignal.c			\
	global.cxx			\
	md5.cxx


libCommon_a_LIBADD = \
	../regex/libregex.a


MAINTAINERCLEANFILES = \
	Makefile.in

subdir = src/common
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libCommon_a_AR = $(AR) cru
libCommon_a_DEPENDENCIES = ../regex/libregex.a
#libCommon_a_DEPENDENCIES =
am_libCommon_a_OBJECTS = BZDBCache.$(OBJEXT) Bundle.$(OBJEXT) \
	BundleMgr.$(OBJEXT) CommandManager.$(OBJEXT) \
	ConfigFileManager.$(OBJEXT) ErrorHandler.$(OBJEXT) \
	FileManager.$(OBJEXT) Flag.$(OBJEXT) KeyManager.$(OBJEXT) \
	PlayerState.$(OBJEXT) ShotUpdate.$(OBJEXT) \
	StateDatabase.$(OBJEXT) Team.$(OBJEXT) TimeBomb.$(OBJEXT) \
	TimeKeeper.$(OBJEXT) VotingBooth.$(OBJEXT) WordFilter.$(OBJEXT) \
	bzfio.$(OBJEXT) bzsignal.$(OBJEXT) global.$(OBJEXT) \
	md5.$(OBJEXT)
libCommon_a_OBJECTS = $(am_libCommon_a_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/BZDBCache.Po ./$(DEPDIR)/Bundle.Po \
	./$(DEPDIR)/BundleMgr.Po \
	./$(DEPDIR)/CommandManager.Po \
	./$(DEPDIR)/ConfigFileManager.Po \
	./$(DEPDIR)/ErrorHandler.Po \
	./$(DEPDIR)/FileManager.Po ./$(DEPDIR)/Flag.Po \
	./$(DEPDIR)/KeyManager.Po \
	./$(DEPDIR)/PlayerState.Po \
	./$(DEPDIR)/ShotUpdate.Po \
	./$(DEPDIR)/StateDatabase.Po ./$(DEPDIR)/Team.Po \
	./$(DEPDIR)/TimeBomb.Po ./$(DEPDIR)/TimeKeeper.Po \
	./$(DEPDIR)/VotingBooth.Po \
	./$(DEPDIR)/WordFilter.Po ./$(DEPDIR)/bzfio.Po \
	./$(DEPDIR)/bzsignal.Po ./$(DEPDIR)/global.Po \
	./$(DEPDIR)/md5.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
DIST_SOURCES = $(libCommon_a_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libCommon_a_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .cxx .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/common/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

AR = ar

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libCommon.a: $(libCommon_a_OBJECTS) $(libCommon_a_DEPENDENCIES) 
	-rm -f libCommon.a
	$(libCommon_a_AR) libCommon.a $(libCommon_a_OBJECTS) $(libCommon_a_LIBADD)
	$(RANLIB) libCommon.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/BZDBCache.Po
include ./$(DEPDIR)/Bundle.Po
include ./$(DEPDIR)/BundleMgr.Po
include ./$(DEPDIR)/CommandManager.Po
include ./$(DEPDIR)/ConfigFileManager.Po
include ./$(DEPDIR)/ErrorHandler.Po
include ./$(DEPDIR)/FileManager.Po
include ./$(DEPDIR)/Flag.Po
include ./$(DEPDIR)/KeyManager.Po
include ./$(DEPDIR)/PlayerState.Po
include ./$(DEPDIR)/ShotUpdate.Po
include ./$(DEPDIR)/StateDatabase.Po
include ./$(DEPDIR)/Team.Po
include ./$(DEPDIR)/TimeBomb.Po
include ./$(DEPDIR)/TimeKeeper.Po
include ./$(DEPDIR)/VotingBooth.Po
include ./$(DEPDIR)/WordFilter.Po
include ./$(DEPDIR)/bzfio.Po
include ./$(DEPDIR)/bzsignal.Po
include ./$(DEPDIR)/global.Po
include ./$(DEPDIR)/md5.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cxx.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cxx.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
