=== src/platform/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# src/platform/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/bzflag
pkglibdir = $(libdir)/bzflag
pkgincludedir = $(includedir)/bzflag
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run tar
AUTOCONF = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run autoconf
AUTOHEADER = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run autoheader
AUTOMAKE = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run automake-1.7
AWK = mawk
BEOS_FALSE = 
BEOS_TRUE = #
BUILD_REGEX_FALSE = #
BUILD_REGEX_TRUE = 
BZADMIN_INCLUDED_FALSE = #
BZADMIN_INCLUDED_TRUE = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -ansi -fno-exceptions -O2
CLIENT_INCLUDED_FALSE = #
CLIENT_INCLUDED_TRUE = 
CONFIG = 
CPP = gcc -E
CPPFLAGS =  -D_BSD_SOURCE -D_POSIX_SOURCE -I$(top_srcdir)/include -Wall -W -mcpu=i686
CURSES_LIB = -lncurses
CXX = ccache g++
CXXCPP = ccache g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -O2 -ffast-math -fomit-frame-pointer -fexpensive-optimizations -fno-exceptions
CYGPATH_W = echo
DEBUG_FALSE = 
DEBUG_TRUE = #
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GLIBS = -lGLU -lGL -lXi -lXxf86vm -lXext  -lSM -lICE -lX11  
HASPOD2MAN = yes
HASPOD2MAN_FALSE = #
HASPOD2MAN_TRUE = 
HAVE_CURSES_FALSE = #
HAVE_CURSES_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_DATA_DIR = /usr/local/share/bzflag
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
IRIX_FALSE = 
IRIX_TRUE = #
LDFLAGS =   -L/usr/X11R6/lib
LIBDIR = $(top_srcdir)/lib
LIBOBJS = 
LIBS = -ladns -lm 
LINUX_FALSE = #
LINUX_TRUE = 
LN_S = ln -s
LTLIBOBJS = 
MACOS_FALSE = 
MACOS_TRUE = #
MAKEINFO = ${SHELL} /home/timr/work/bzflag/bzflag-1.10.6.20040516/missing --run makeinfo
OBJEXT = o
PACKAGE = bzflag
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PC_FALSE = #
PC_TRUE = 
PPC_FALSE = 
PPC_TRUE = #
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
SOLARIS_FALSE = 
SOLARIS_TRUE = #
STRIP = 
VERSION = 1.10.6.20040516
WIN32_FALSE = 
WIN32_TRUE = #
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/timr/work/bzflag/bzflag-1.10.6.20040516/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc

#libPlatform_a_SOURCES = \
#	PlatformFactory.cxx			\
#	BzfDisplay.cxx				\
#	BzfVisual.cxx				\
#	BzfWindow.cxx				\
#	BzfMedia.cxx				\
#	wave.cxx				\
#	wave.h					\
#	SGIPlatformFactory.cxx			\
#	SGIPlatformFactory.h			\
#	SGIDisplay.cxx				\
#	SGIDisplay.h				\
#	SGIMedia.cxx				\
#	SGIMedia.h				\
#	XDisplay.cxx				\
#	XDisplay.h				\
#	XVisual.cxx				\
#	XVisual.h				\
#	XWindow.cxx				\
#	XWindow.h


#libPlatform_a_SOURCES = \
#	PlatformFactory.cxx			\
#	BzfDisplay.cxx				\
#	BzfVisual.cxx				\
#	BzfWindow.cxx				\
#	BzfMedia.cxx				\
#	wave.cxx				\
#	wave.h					\
#	SolarisPlatformFactory.cxx		\
#	SolarisPlatformFactory.h		\
#	SolarisMedia.cxx			\
#	SolarisMedia.h				\
#	XDisplay.cxx				\
#	XDisplay.h				\
#	XVisual.cxx				\
#	XVisual.h				\
#	XWindow.cxx				\
#	XWindow.h


#libPlatform_a_SOURCES = \
#	PlatformFactory.cxx			\
#	BzfDisplay.cxx				\
#	BzfVisual.cxx				\
#	BzfWindow.cxx				\
#	BzfMedia.cxx				\
#	wave.cxx				\
#	wave.h


#libPlatform_a_SOURCES = \
#	PlatformFactory.cxx			\
#	BzfDisplay.cxx				\
#	BzfVisual.cxx				\
#	BzfWindow.cxx				\
#	BzfMedia.cxx				\
#	wave.cxx				\
#	wave.h					\
#	WinPlatformFactory.cxx			\
#	WinPlatformFactory.h			\
#	WinDisplay.cxx				\
#	WinDisplay.h				\
#	WinVisual.cxx				\
#	WinVisual.h				\
#	WinWindow.cxx				\
#	WinWindow.h				\
#	WinMedia.cxx				\
#	WinMedia.h


#libPlatform_a_SOURCES = \
#	PlatformFactory.cxx			\
#	BzfDisplay.cxx				\
#	BzfVisual.cxx				\
#	BzfWindow.cxx				\
#	BzfMedia.cxx				\
#	wave.cxx				\
#	wave.h					\
#	BeOSPlatformFactory.cxx			\
#	BeOSPlatformFactory.h			\
#	BeOSDisplay.cxx				\
#	BeOSDisplay.h				\
#	BeOSVisual.cxx				\
#	BeOSVisual.h				\
#	BeOSWindow.cxx				\
#	BeOSWindow.h				\
#	BeOSMedia.cxx				\
#	BeOSMedia.h

libPlatform_a_SOURCES = \
	PlatformFactory.cxx			\
	BzfDisplay.cxx				\
	BzfVisual.cxx				\
	BzfWindow.cxx				\
	BzfMedia.cxx				\
	wave.cxx				\
	wave.h					\
	LinuxPlatformFactory.cxx		\
	LinuxPlatformFactory.h			\
	LinuxDisplay.cxx			\
	LinuxDisplay.h				\
	LinuxMedia.cxx				\
	LinuxMedia.h				\
	usbjoy.cxx				\
	XDisplay.cxx				\
	XDisplay.h				\
	XVisual.cxx				\
	XVisual.h				\
	XWindow.cxx				\
	XWindow.h


#SUBDIRS = MacOSX
DIST_SUBDIRS = MacOSX

noinst_LIBRARIES = libPlatform.a

EXTRA_libPlatform_a_SOURCES = \
	XDisplay.cxx			\
	XDisplay.h			\
	XVisual.cxx			\
	XVisual.h			\
	XWindow.cxx			\
	XWindow.h			\
	LinuxPlatformFactory.cxx	\
	LinuxPlatformFactory.h		\
	LinuxDisplay.cxx		\
	LinuxDisplay.h			\
	LinuxMedia.cxx			\
	LinuxMedia.h			\
	usbjoy.cxx			\
	SolarisPlatformFactory.cxx	\
	SolarisPlatformFactory.h	\
	SolarisMedia.cxx		\
	SolarisMedia.h			\
	SGIPlatformFactory.cxx		\
	SGIPlatformFactory.h		\
	SGIDisplay.cxx			\
	SGIDisplay.h			\
	SGIMedia.cxx			\
	SGIMedia.h			\
	BeOSPlatformFactory.cxx		\
	BeOSPlatformFactory.h		\
	BeOSDisplay.cxx			\
	BeOSDisplay.h			\
	BeOSVisual.cxx			\
	BeOSVisual.h			\
	BeOSWindow.cxx			\
	BeOSWindow.h			\
	BeOSMedia.cxx			\
	BeOSMedia.h			\
	WinPlatformFactory.cxx		\
	WinPlatformFactory.h		\
	WinDisplay.cxx			\
	WinDisplay.h			\
	WinVisual.cxx			\
	WinVisual.h			\
	WinWindow.cxx			\
	WinWindow.h			\
	WinMedia.cxx			\
	WinMedia.h


EXTRA_DIST = NewMedia.cxx NewMedia.h BeOSWindow2.cxx

MAINTAINERCLEANFILES = \
	Makefile.in

subdir = src/platform
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libPlatform_a_AR = $(AR) cru
libPlatform_a_LIBADD =
am__libPlatform_a_SOURCES_DIST = PlatformFactory.cxx BzfDisplay.cxx \
	BzfVisual.cxx BzfWindow.cxx BzfMedia.cxx wave.cxx wave.h \
	SGIPlatformFactory.cxx SGIPlatformFactory.h SGIDisplay.cxx \
	SGIDisplay.h SGIMedia.cxx SGIMedia.h XDisplay.cxx XDisplay.h \
	XVisual.cxx XVisual.h XWindow.cxx XWindow.h \
	SolarisPlatformFactory.cxx SolarisPlatformFactory.h \
	SolarisMedia.cxx SolarisMedia.h WinPlatformFactory.cxx \
	WinPlatformFactory.h WinDisplay.cxx WinDisplay.h WinVisual.cxx \
	WinVisual.h WinWindow.cxx WinWindow.h WinMedia.cxx WinMedia.h \
	BeOSPlatformFactory.cxx BeOSPlatformFactory.h BeOSDisplay.cxx \
	BeOSDisplay.h BeOSVisual.cxx BeOSVisual.h BeOSWindow.cxx \
	BeOSWindow.h BeOSMedia.cxx BeOSMedia.h LinuxPlatformFactory.cxx \
	LinuxPlatformFactory.h LinuxDisplay.cxx LinuxDisplay.h \
	LinuxMedia.cxx LinuxMedia.h usbjoy.cxx
#am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
#	BzfDisplay.$(OBJEXT) BzfVisual.$(OBJEXT) \
#	BzfWindow.$(OBJEXT) BzfMedia.$(OBJEXT) \
#	wave.$(OBJEXT) BeOSPlatformFactory.$(OBJEXT) \
#	BeOSDisplay.$(OBJEXT) BeOSVisual.$(OBJEXT) \
#	BeOSWindow.$(OBJEXT) BeOSMedia.$(OBJEXT)
#am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
#	BzfDisplay.$(OBJEXT) BzfVisual.$(OBJEXT) \
#	BzfWindow.$(OBJEXT) BzfMedia.$(OBJEXT) \
#	wave.$(OBJEXT) SGIPlatformFactory.$(OBJEXT) \
#	SGIDisplay.$(OBJEXT) SGIMedia.$(OBJEXT) \
#	XDisplay.$(OBJEXT) XVisual.$(OBJEXT) \
#	XWindow.$(OBJEXT)
am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
	BzfDisplay.$(OBJEXT) BzfVisual.$(OBJEXT) \
	BzfWindow.$(OBJEXT) BzfMedia.$(OBJEXT) \
	wave.$(OBJEXT) LinuxPlatformFactory.$(OBJEXT) \
	LinuxDisplay.$(OBJEXT) LinuxMedia.$(OBJEXT) \
	usbjoy.$(OBJEXT) XDisplay.$(OBJEXT) \
	XVisual.$(OBJEXT) XWindow.$(OBJEXT)
#am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
#	BzfDisplay.$(OBJEXT) BzfVisual.$(OBJEXT) \
#	BzfWindow.$(OBJEXT) BzfMedia.$(OBJEXT) \
#	wave.$(OBJEXT)
#am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
#	BzfDisplay.$(OBJEXT) BzfVisual.$(OBJEXT) \
#	BzfWindow.$(OBJEXT) BzfMedia.$(OBJEXT) \
#	wave.$(OBJEXT) SolarisPlatformFactory.$(OBJEXT) \
#	SolarisMedia.$(OBJEXT) XDisplay.$(OBJEXT) \
#	XVisual.$(OBJEXT) XWindow.$(OBJEXT)
#am_libPlatform_a_OBJECTS = PlatformFactory.$(OBJEXT) \
#	BzfDisplay.$(OBJEXT) BzfVisual.$(OBJEXT) \
#	BzfWindow.$(OBJEXT) BzfMedia.$(OBJEXT) \
#	wave.$(OBJEXT) WinPlatformFactory.$(OBJEXT) \
#	WinDisplay.$(OBJEXT) WinVisual.$(OBJEXT) \
#	WinWindow.$(OBJEXT) WinMedia.$(OBJEXT)
libPlatform_a_OBJECTS = $(am_libPlatform_a_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/BeOSDisplay.Po \
	./$(DEPDIR)/BeOSMedia.Po \
	./$(DEPDIR)/BeOSPlatformFactory.Po \
	./$(DEPDIR)/BeOSVisual.Po ./$(DEPDIR)/BeOSWindow.Po \
	./$(DEPDIR)/BzfDisplay.Po ./$(DEPDIR)/BzfMedia.Po \
	./$(DEPDIR)/BzfVisual.Po ./$(DEPDIR)/BzfWindow.Po \
	./$(DEPDIR)/LinuxDisplay.Po \
	./$(DEPDIR)/LinuxMedia.Po \
	./$(DEPDIR)/LinuxPlatformFactory.Po \
	./$(DEPDIR)/PlatformFactory.Po \
	./$(DEPDIR)/SGIDisplay.Po ./$(DEPDIR)/SGIMedia.Po \
	./$(DEPDIR)/SGIPlatformFactory.Po \
	./$(DEPDIR)/SolarisMedia.Po \
	./$(DEPDIR)/SolarisPlatformFactory.Po \
	./$(DEPDIR)/WinDisplay.Po ./$(DEPDIR)/WinMedia.Po \
	./$(DEPDIR)/WinPlatformFactory.Po \
	./$(DEPDIR)/WinVisual.Po ./$(DEPDIR)/WinWindow.Po \
	./$(DEPDIR)/XDisplay.Po ./$(DEPDIR)/XVisual.Po \
	./$(DEPDIR)/XWindow.Po ./$(DEPDIR)/usbjoy.Po \
	./$(DEPDIR)/wave.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(am__libPlatform_a_SOURCES_DIST) \
	$(EXTRA_libPlatform_a_SOURCES)
