=== debian/changelog ===
bzflag (1.10.6.20040516ubuntu1) hoary; urgency=low

  * added libxxf86vm-dev, xlibmesa-glu-dev, xlibmesa-gl-dev to Build-Depends.

 -- Daniel Holbach <dh@mailempfang.de>  Fri, 25 Mar 2005 11:46:20 +0100
